CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

AutoSnapMarkerColor Property (ActiveX)

2023-1-3 22:05| 发布者: admin| 查看: 315| 评论: 0|来自: AutoCAD

摘要: 指定自动贴靠标记的颜色。

指定自动贴靠标记的颜色。

支持的平台:仅窗口

签名

工 务 局:

object.AutoSnapMarkerColor
对象

类型:首选项起草

此属性适用的对象。

属性值

只读:

类型:枚举acColor

  • acRed
  • acYellow
  • acGreen
  • acCyan
  • acBlue
  • acMagenta
  • acWhite

言论

此属性的初始值为。acYellow

例子

工 务 局:

Sub Example_AutoSnapMarkerColor()
    ' This example reads and modifies the preference value that controls
    ' the color of the AutoSnap marker. When finished, this example resets
    ' the preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDrafting
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the drafting preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Drafting
    
    ' Read and display the original value
    originalValue = ACADPref.AutoSnapMarkerColor
    MsgBox "The AutoSnapMarkerColor preference is: " & originalValue

    ' Modify the AutoSnapMarkerColor preference by setting it to red
    ACADPref.AutoSnapMarkerColor = acRed
    newValue = ACADPref.AutoSnapMarkerColor
    MsgBox "The AutoSnapMarkerColor preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.AutoSnapMarkerColor = originalValue
    MsgBox "The AutoSnapMarkerColor preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AutoSnapMarkerColor()
    ;; This example reads and modifies the preference value that controls
    ;; the color of the AutoSnap marker. When finished, this example resets
    ;; the preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Get the drafting preferences object
    (setq ACADPref (vla-get-Drafting preferences))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-AutoSnapMarkerColor ACADPref))
    (alert (strcat "The AutoSnapMarkerColor preference is: " (itoa originalValue)))

    ;; Modify the AutoSnapMarkerColor preference by setting it to red
    (vla-put-AutoSnapMarkerColor ACADPref acRed)
    (setq newValue (vla-get-AutoSnapMarkerColor ACADPref))
    (alert (strcat "The AutoSnapMarkerColor preference has been set to: " (itoa newValue)))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-AutoSnapMarkerColor ACADPref originalValue) 
    (alert (strcat "The AutoSnapMarkerColor preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 09:18

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部